﻿# Persistent Data Variables
init:
    # $ another_story = False
    # $ persistent.unlock_assorted_01 = True
    $ show_bida_health = False ## Hide Energy Bar
    $ bida_health_max = 600
    $ bida_health = 300
    $ show_kalaban_health = False ## Hide Energy Bar
    $ kalaban_health_max = 600
    $ kalaban_health = 0
    $ scissors = True
    $ rock = False
    $ paper = False
    
    $ bida_position = Position(xpos=0.0, xanchor='left', ypos=0.0, yanchor='top')
    $ bata_position = Position(xpos=1.0, xanchor='right', ypos=0.0, yanchor='top')
    $ rsp_back_panel_one_position = Position(xpos=0, xanchor='left', ypos=346, yanchor='top')
    $ rsp_back_panel_two_position = Position(xpos=536, xanchor='left', ypos=346, yanchor='top')
    

# Splashscreen Section which is being invoked before the game starts
label splashscreen:
    scene background_white 
    $ renpy.pause(2.0)
    scene background_splashscreen with dissolve
    $ renpy.pause(4.0)
    scene background_white with dissolve
    $ renpy.pause(2.0)
    
label main_menu:
    $ _game_menu_screen = None
    return
    
label start:
    $ renpy.music.play("music/music_01.mp3", channel="music_one") # Play music on Audio Channel 1
    scene placeholder_background
    show sprite_02
    with dissolve
    "Excuse me?..."
    "Can you repeat what you just said..."
    show sprite_01
    hide sprite_02
    with dissolve
    "......"
    show sprite_04
    hide sprite_01
    with dissolve
    "You want to battle with me?"
    "As in a serious battle of Rock, Scissors and Paper?..."
    show sprite_01
    hide sprite_02
    with dissolve
    "......"
    show sprite_03
    hide sprite_01R
    with dissolve
    "OK... you asked for it..."
    "Let me warn you though... I'm good at this..."
    $ renpy.music.stop(channel="music_one", fadeout=2.0)
    scene background_white with dissolve
    $ renpy.pause(1.0)
    jump test_battle_scenario
    
label test_battle_scenario:
    $ renpy.music.play("music/music_02.mp3", channel="music_one") # Play music on Audio Channel 1
    
    scene background_white # Show background graphics white 
    
    scene placeholder_background with dissolve
    
    #Set variables before RSP battle
    $ bida_hp = 500
    $ kalaban_hp = 500
    $ bida_health = 480
    $ kalaban_health = 120

    show bida_neutral:
        linear 0.0 xpos 0 ypos 0
        linear 1.0 xpos 0 ypos 5
        linear 1.0 xpos 0 ypos 0
        repeat
        
    show bata_neutral:
        linear 0.0 xpos 530 ypos 0
        linear 1.0 xpos 530 ypos 0
        linear 0.2 xpos 530 ypos 5
        linear 0.2 xpos 530 ypos 0
        linear 0.2 xpos 530 ypos 5
        linear 0.2 xpos 530 ypos 0
        repeat
        
    with dissolve    
    
    show rsp_background_strip
    show battle_panel_overlay

    
    $ show_bida_health = True 
    $ show_kalaban_health = True 
    
    jump rsp_timer_set
    
label rsp_timer_set:
    show countdown at Position(xpos=400, ypos=440)
    jump rsp_battle
label rsp_battle:
    
    show screen timerscreen
    
    
    if scissors:    
        call screen rsp_gunting_imagemap
        $ result = _return
        
        if result == "gunting":
            $ scissors = True
            $ rock = False
            $ paper = False
            jump rsp_battle
            
        if result == "bato":
            $ scissors = False
            $ rock = True
            $ paper = False
            jump rsp_battle
            
        if result == "papel":
            $ scissors = False
            $ rock = False
            $ paper = True
            jump rsp_battle

    if rock:
        call screen rsp_bato_imagemap
        $ result = _return
        
        if result == "gunting":
            $ scissors = True
            $ rock = False
            $ paper = False
            jump rsp_battle
            
        if result == "bato":
            $ scissors = False
            $ rock = True
            $ paper = False
            jump rsp_battle
            
        if result == "papel":
            $ scissors = False
            $ rock = False
            $ paper = True
            jump rsp_battle
        
    if paper:    
        call screen rsp_papel_imagemap
        $ result = _return
        
        if result == "gunting":
            $ scissors = True
            $ rock = False
            $ paper = False
            jump rsp_battle
            
        if result == "bato":
            $ scissors = False
            $ rock = True
            $ paper = False
            jump rsp_battle
            
        if result == "papel":
            $ scissors = False
            $ rock = False
            $ paper = True
            jump rsp_battle

label time_up:
    
    hide screen timerscreen
    hide countdown 
    
    show time_up
    
    if scissors:
        show imagemap_filler_scissors
    if rock:
        show imagemap_filler_rock
    if paper:    
        show imagemap_filler_paper
        
    $ renpy.pause(1.0)
    hide time_up
    
    if scissors:
        hide imagemap_filler_scissors
        with dissolve
    if rock:
        hide imagemap_filler_rock
        with dissolve
    if paper:    
        hide imagemap_filler_paper
        with dissolve
    
    if scissors: 
        $ choice = renpy.random.choice(['a', 'b', 'c']) 
        if choice == 'a': # Scissors vs Scissors - Draw
            
            $ renpy.music.play("music/alert.wav", channel="sound_one")
            
            show rsp_scissors_scissors:
                subpixel True
                size (800, 450) crop (200, 96, 402, 226)
                linear 0.1 crop (-126, -73, 1054, 592)
                linear 0.2 crop (0, 0, 800, 450)

            $ renpy.pause(1.0)    

            hide battle_panel_overlay
            
            show bida_lose:
                linear 0.0 xpos 0 ypos 0
                linear 0.25 xpos 2 ypos 3
                linear 0.25 xpos 4 ypos 6
                linear 0.25 xpos 4 ypos 6
                linear 0.0 xpos 4 ypos 6
                linear 1.0 xpos 0 ypos 0
                
            show bata_lose:
                linear 0.0 xpos 530 ypos 0
                linear 0.5 xpos 545 ypos 6
                linear 0.0 xpos 545 ypos 6
                linear 1.0 xpos 545 ypos 6
                linear 2.0 xpos 530 ypos 0
                linear 1500.0 xpos 530 ypos 0
                
            hide bida_neutral at bida_position
            hide bata_neutral at bata_position
            
            show battle_panel_overlay
            with dissolve
            
            show draw
            
            $ renpy.pause( )
            
            hide draw
            hide rsp_scissors_scissors
            with dissolve
            
            
            #"Gunting ang napili ng kalaban"
            
            if bida_hp == 0:
                jump pagtatapos_ng_laban_talo
                
            if kalaban_hp == 0:    
                jump pagtatapos_ng_laban_panalo
                
            elif bida_hp > 0:
                
                hide battle_panel_overlay
                hide bida_lose 
                hide bata_lose 
                
                show bida_neutral:
                    linear 0.0 xpos 0 ypos 0
                    linear 1.0 xpos 0 ypos 5
                    linear 1.0 xpos 0 ypos 0
                    repeat
                    
                show bata_neutral:
                    linear 0.0 xpos 530 ypos 0
                    linear 1.0 xpos 530 ypos 0
                    linear 0.2 xpos 530 ypos 5
                    linear 0.2 xpos 530 ypos 0
                    linear 0.2 xpos 530 ypos 5
                    linear 0.2 xpos 530 ypos 0
                    repeat
                    
                show battle_panel_overlay
                
                with dissolve
                
                jump rsp_timer_set
            
                        
        elif choice == 'b': # Scissors vs Rock - Lose

            $ bida_hp -= 100
            $ bida_health -= 100
            
            $ renpy.music.play("music/alert.wav", channel="sound_one")
            
            show rsp_scissors_rock:
                subpixel True
                size (800, 450) crop (200, 96, 402, 226)
                linear 0.1 crop (-126, -73, 1054, 592)
                linear 0.2 crop (0, 0, 800, 450)

            $ renpy.pause(1.0)  
            
            hide battle_panel_overlay
            
            show bida_lose:
                linear 0.0 xpos 0 ypos 0
                linear 0.25 xpos 2 ypos 3
                linear 0.25 xpos 4 ypos 6
                linear 0.25 xpos 4 ypos 6
                linear 0.0 xpos 4 ypos 6
                linear 1.0 xpos 0 ypos 0
                
            show bata_win at bata_position
            
            hide bida_neutral at bida_position
            hide bata_neutral at bata_position
            
            show battle_panel_overlay
            
            with dissolve
            
            show lose
            
            $ renpy.pause( )
            
            hide lose
            hide rsp_scissors_rock
            with dissolve

            if bida_hp == 0:
                jump pagtatapos_ng_laban_talo
            if kalaban_hp == 0:  
                jump pagtatapos_ng_laban_panalo
            elif bida_hp > 0:

                hide battle_panel_overlay
                hide bida_lose 
                hide bata_win 
                
                show bida_neutral:
                    linear 0.0 xpos 0 ypos 0
                    linear 1.0 xpos 0 ypos 5
                    linear 1.0 xpos 0 ypos 0
                    repeat
                    
                show bata_neutral:
                    linear 0.0 xpos 530 ypos 0
                    linear 1.0 xpos 530 ypos 0
                    linear 0.2 xpos 530 ypos 5
                    linear 0.2 xpos 530 ypos 0
                    linear 0.2 xpos 530 ypos 5
                    linear 0.2 xpos 530 ypos 0
                    repeat
                    
                show battle_panel_overlay
              
                with dissolve
                
                jump rsp_timer_set

                
        elif choice == 'c': # Scissors vs Paper - Win

            $ kalaban_hp -= 100
            $ kalaban_health += 100
            
            $ renpy.music.play("music/alert.wav", channel="sound_one")
            
            show rsp_scissors_paper:
                subpixel True
                size (800, 450) crop (200, 96, 402, 226)
                linear 0.1 crop (-126, -73, 1054, 592)
                linear 0.2 crop (0, 0, 800, 450)

            $ renpy.pause(1.0)  
            
            hide battle_panel_overlay
            
            show bida_win:
                linear 0.0 xpos 0 ypos 0
                linear 0.45 xpos 6 ypos 0
                linear 0.0 xpos 6 ypos 0
                linear 1.0 xpos 0 ypos 0
            
            show bata_lose:
                linear 0.0 xpos 530 ypos 0
                linear 0.5 xpos 545 ypos 6
                linear 0.0 xpos 545 ypos 6
                linear 1.0 xpos 545 ypos 6
                linear 2.0 xpos 530 ypos 0
                linear 1500.0 xpos 530 ypos 0
                
            hide bida_neutral at bida_position
            hide bata_neutral at bata_position
            show battle_panel_overlay
            
            with dissolve
            
            show win
            
            $ renpy.pause( )
            
            hide win
            hide rsp_scissors_paper
            with dissolve

            if bida_hp == 0:
                jump pagtatapos_ng_laban_talo
                
            if kalaban_hp == 0:    
                jump pagtatapos_ng_laban_panalo
                
            elif bida_hp > 0:

                hide battle_panel_overlay
                hide bida_win 
                hide bata_lose
                
                show bida_neutral:
                    linear 0.0 xpos 0 ypos 0
                    linear 1.0 xpos 0 ypos 5
                    linear 1.0 xpos 0 ypos 0
                    repeat
                    
                show bata_neutral:
                    linear 0.0 xpos 530 ypos 0
                    linear 1.0 xpos 530 ypos 0
                    linear 0.2 xpos 530 ypos 5
                    linear 0.2 xpos 530 ypos 0
                    linear 0.2 xpos 530 ypos 5
                    linear 0.2 xpos 530 ypos 0
                    repeat
                    
                show battle_panel_overlay
                
                with dissolve
                
                jump rsp_timer_set


    if rock:
        $ choice = renpy.random.choice(['a', 'b', 'c']) 
        if choice == 'a': # Rock vs Scissors - Win

            $ kalaban_hp -= 100
            $ kalaban_health += 100
            
            $ renpy.music.play("music/alert.wav", channel="sound_one")
            
            show rsp_rock_scissors:
                subpixel True
                size (800, 450) crop (200, 96, 402, 226)
                linear 0.1 crop (-126, -73, 1054, 592)
                linear 0.2 crop (0, 0, 800, 450)

            $ renpy.pause(1.0)  
            
            hide battle_panel_overlay
            
            show bida_win:
                linear 0.0 xpos 0 ypos 0
                linear 0.45 xpos 6 ypos 0
                linear 0.0 xpos 6 ypos 0
                linear 1.0 xpos 0 ypos 0
                
            show bata_lose:
                linear 0.0 xpos 530 ypos 0
                linear 0.5 xpos 545 ypos 6
                linear 0.0 xpos 545 ypos 6
                linear 1.0 xpos 545 ypos 6
                linear 2.0 xpos 530 ypos 0
                linear 1500.0 xpos 530 ypos 0
                
            hide bida_neutral at bida_position
            hide bata_neutral at bata_position
            
            show battle_panel_overlay
            
            with dissolve
            
            show win
                     
            $ renpy.pause( )
            
            hide win
            hide rsp_rock_scissors
            with dissolve
            
            if bida_hp == 0:
                jump pagtatapos_ng_laban_talo
                
            if kalaban_hp == 0:    
                jump pagtatapos_ng_laban_panalo
                
            elif bida_hp > 0:
                hide battle_panel_overlay
                hide bida_win 
                hide bata_lose
                
                show bida_neutral:
                    linear 0.0 xpos 0 ypos 0
                    linear 1.0 xpos 0 ypos 5
                    linear 1.0 xpos 0 ypos 0
                    repeat
                    
                show bata_neutral:
                    linear 0.0 xpos 530 ypos 0
                    linear 1.0 xpos 530 ypos 0
                    linear 0.2 xpos 530 ypos 5
                    linear 0.2 xpos 530 ypos 0
                    linear 0.2 xpos 530 ypos 5
                    linear 0.2 xpos 530 ypos 0
                    repeat
                    
                show battle_panel_overlay
                
                with dissolve
                
                jump rsp_timer_set

                        
        elif choice == 'b': # Rock vs Rock - Draw
            
            $ renpy.music.play("music/alert.wav", channel="sound_one")

            show rsp_rock_rock:
                subpixel True
                size (800, 450) crop (200, 96, 402, 226)
                linear 0.1 crop (-126, -73, 1054, 592)
                linear 0.2 crop (0, 0, 800, 450)
                
            $ renpy.pause(1.0)      
            
            hide battle_panel_overlay
            
            show bida_lose:
                linear 0.0 xpos 0 ypos 0
                linear 0.25 xpos 2 ypos 3
                linear 0.25 xpos 4 ypos 6
                linear 0.25 xpos 4 ypos 6
                linear 0.0 xpos 4 ypos 6
                linear 1.0 xpos 0 ypos 0
                
            show bata_lose:
                linear 0.0 xpos 530 ypos 0
                linear 0.5 xpos 545 ypos 6
                linear 0.0 xpos 545 ypos 6
                linear 1.0 xpos 545 ypos 6
                linear 2.0 xpos 530 ypos 0
                linear 1500.0 xpos 530 ypos 0
                
            hide bida_neutral at bida_position
            hide bata_neutral at bata_position
            
            show battle_panel_overlay
            
            with dissolve
            
            show draw
            
            $ renpy.pause( )
            
            hide draw
            hide rsp_rock_rock
            with dissolve

            
            if bida_hp == 0:
                jump pagtatapos_ng_laban_talo
                
            if kalaban_hp == 0:    
                jump pagtatapos_ng_laban_panalo
                
            elif bida_hp > 0:
                
                hide battle_panel_overlay
                hide bida_lose 
                hide bata_lose 
                
                show bida_neutral:
                    linear 0.0 xpos 0 ypos 0
                    linear 1.0 xpos 0 ypos 5
                    linear 1.0 xpos 0 ypos 0
                    repeat
                    
                show bata_neutral:
                    linear 0.0 xpos 530 ypos 0
                    linear 1.0 xpos 530 ypos 0
                    linear 0.2 xpos 530 ypos 5
                    linear 0.2 xpos 530 ypos 0
                    linear 0.2 xpos 530 ypos 5
                    linear 0.2 xpos 530 ypos 0
                    repeat
                    
                show battle_panel_overlay
                
                with dissolve
                
                jump rsp_timer_set

                
        elif choice == 'c': # Rock vs Paper - Lose

            $ bida_hp -= 100
            $ bida_health -= 100
            
            $ renpy.music.play("music/alert.wav", channel="sound_one")
            
            show rsp_rock_paper:
                subpixel True
                size (800, 450) crop (200, 96, 402, 226)
                linear 0.1 crop (-126, -73, 1054, 592)
                linear 0.2 crop (0, 0, 800, 450)
                
            $ renpy.pause(1.0)
            
            hide battle_panel_overlay
            
            show bida_lose:
                linear 0.0 xpos 0 ypos 0
                linear 0.25 xpos 2 ypos 3
                linear 0.25 xpos 4 ypos 6
                linear 0.25 xpos 4 ypos 6
                linear 0.0 xpos 4 ypos 6
                linear 1.0 xpos 0 ypos 0
                
            show bata_win at bata_position
            
            hide bida_neutral at bida_position
            hide bata_neutral at bata_position
            
            show battle_panel_overlay
            
            with dissolve
            
            show lose
            
            $ renpy.pause( )
            
            hide lose
            hide rsp_rock_paper
            with dissolve
            
            if bida_hp == 0:
                jump pagtatapos_ng_laban_talo
                
            if kalaban_hp == 0:    
                jump pagtatapos_ng_laban_panalo
                
            elif bida_hp > 0:
                hide battle_panel_overlay
                hide bida_lose 
                hide bata_win 
                
                show bida_neutral:
                    linear 0.0 xpos 0 ypos 0
                    linear 1.0 xpos 0 ypos 5
                    linear 1.0 xpos 0 ypos 0
                    repeat
                    
                show bata_neutral:
                    linear 0.0 xpos 530 ypos 0
                    linear 1.0 xpos 530 ypos 0
                    linear 0.2 xpos 530 ypos 5
                    linear 0.2 xpos 530 ypos 0
                    linear 0.2 xpos 530 ypos 5
                    linear 0.2 xpos 530 ypos 0
                    repeat
                    
                show battle_panel_overlay
                with dissolve
                
                jump rsp_timer_set

                
    if paper:
        $ choice = renpy.random.choice(['a', 'b', 'c']) 
        if choice == 'a': # Paper vs Scissors - Lose

            $ bida_hp -= 100
            $ bida_health -= 100
            
            $ renpy.music.play("music/alert.wav", channel="sound_one")
            
            show rsp_paper_scissors:
                subpixel True
                size (800, 450) crop (200, 96, 402, 226)
                linear 0.1 crop (-126, -73, 1054, 592)
                linear 0.2 crop (0, 0, 800, 450)
                
            $ renpy.pause(1.0)
            
            hide battle_panel_overlay
            
            show bida_lose:
                linear 0.0 xpos 0 ypos 0
                linear 0.25 xpos 2 ypos 3
                linear 0.25 xpos 4 ypos 6
                linear 0.25 xpos 4 ypos 6
                linear 0.0 xpos 4 ypos 6
                linear 1.0 xpos 0 ypos 0
                
            show bata_win at bata_position
            
            hide bida_neutral at bida_position
            hide bata_neutral at bata_position
            
            show battle_panel_overlay
            
            with dissolve
            
            show lose
            
            $ renpy.pause( )
            
            hide lose
            hide rsp_paper_scissors
            with dissolve
            
            if bida_hp == 0:
                jump pagtatapos_ng_laban_talo
                
            if kalaban_hp == 0:    
                jump pagtatapos_ng_laban_panalo
                
            elif bida_hp > 0:
                hide battle_panel_overlay
                hide bida_lose 
                hide bata_win 
                
                show bida_neutral:
                    linear 0.0 xpos 0 ypos 0
                    linear 1.0 xpos 0 ypos 5
                    linear 1.0 xpos 0 ypos 0
                    repeat
                    
                show bata_neutral:
                    linear 0.0 xpos 530 ypos 0
                    linear 1.0 xpos 530 ypos 0
                    linear 0.2 xpos 530 ypos 5
                    linear 0.2 xpos 530 ypos 0
                    linear 0.2 xpos 530 ypos 5
                    linear 0.2 xpos 530 ypos 0
                    repeat
                    
                show battle_panel_overlay
                
                with dissolve
                
                jump rsp_timer_set

                        
        elif choice == 'b': # Paper vs Rock - Win

            $ kalaban_hp -= 100
            $ kalaban_health += 100
            
            $ renpy.music.play("music/alert.wav", channel="sound_one")
            
            show rsp_paper_rock:
                
                subpixel True
                size (800, 450) crop (200, 96, 402, 226)
                linear 0.1 crop (-126, -73, 1054, 592)
                linear 0.2 crop (0, 0, 800, 450)
                
            $ renpy.pause(1.0)
            
            hide battle_panel_overlay
            
            show bida_win:
                linear 0.0 xpos 0 ypos 0
                linear 0.45 xpos 6 ypos 0
                linear 0.0 xpos 6 ypos 0
                linear 1.0 xpos 0 ypos 0
                
            show bata_lose:
                linear 0.0 xpos 530 ypos 0
                linear 0.5 xpos 545 ypos 6
                linear 0.0 xpos 545 ypos 6
                linear 1.0 xpos 545 ypos 6
                linear 2.0 xpos 530 ypos 0
                linear 1500.0 xpos 530 ypos 0
                
            hide bida_neutral at bida_position
            hide bata_neutral at bata_position
            
            show battle_panel_overlay
            
            with dissolve
            
            show win
            
            $ renpy.pause( )
            
            hide win
            hide rsp_paper_rock
            with dissolve
            
            if bida_hp == 0:
                jump pagtatapos_ng_laban_talo
                
            if kalaban_hp == 0:    
                jump pagtatapos_ng_laban_panalo
                
            elif bida_hp > 0:
                hide battle_panel_overlay
                hide bida_win 
                hide bata_lose
                
                show bida_neutral:
                    linear 0.0 xpos 0 ypos 0
                    linear 1.0 xpos 0 ypos 5
                    linear 1.0 xpos 0 ypos 0
                    repeat
                    
                show bata_neutral:
                    linear 0.0 xpos 530 ypos 0
                    linear 1.0 xpos 530 ypos 0
                    linear 0.2 xpos 530 ypos 5
                    linear 0.2 xpos 530 ypos 0
                    linear 0.2 xpos 530 ypos 5
                    linear 0.2 xpos 530 ypos 0
                    repeat
                    
                show battle_panel_overlay
                
                with dissolve
                
                jump rsp_timer_set

                
        elif choice == 'c': # Paper vs Paper - Draw

            $ renpy.music.play("music/alert.wav", channel="sound_one")
            
            show rsp_paper_paper:
                subpixel True
                size (800, 450) crop (200, 96, 402, 226)
                linear 0.1 crop (-126, -73, 1054, 592)
                linear 0.2 crop (0, 0, 800, 450)
                
            $ renpy.pause(1.0)
            
            hide battle_panel_overlay
            
            show bida_lose:
                linear 0.0 xpos 0 ypos 0
                linear 0.25 xpos 2 ypos 3
                linear 0.25 xpos 4 ypos 6
                linear 0.25 xpos 4 ypos 6
                linear 0.0 xpos 4 ypos 6
                linear 1.0 xpos 0 ypos 0
                
            show bata_lose:
                linear 0.0 xpos 530 ypos 0
                linear 0.5 xpos 545 ypos 6
                linear 0.0 xpos 545 ypos 6
                linear 1.0 xpos 545 ypos 6
                linear 2.0 xpos 530 ypos 0
                linear 1500.0 xpos 530 ypos 0
                
            hide bida_neutral at bida_position
            hide bata_neutral at bata_position
            
            show battle_panel_overlay
            
            with dissolve
            
            show draw
            
            $ renpy.pause( )
            
            hide draw
            hide rsp_paper_paper
            with dissolve
            
            if bida_hp == 0:
                jump pagtatapos_ng_laban_talo
                
            if kalaban_hp == 0:    
                jump pagtatapos_ng_laban_panalo
                
            elif bida_hp > 0:
                hide battle_panel_overlay
                hide bida_lose 
                hide bata_lose 
                
                show bida_neutral:
                    linear 0.0 xpos 0 ypos 0
                    linear 1.0 xpos 0 ypos 5
                    linear 1.0 xpos 0 ypos 0
                    repeat
                    
                show bata_neutral:
                    linear 0.0 xpos 530 ypos 0
                    linear 1.0 xpos 530 ypos 0
                    linear 0.2 xpos 530 ypos 5
                    linear 0.2 xpos 530 ypos 0
                    linear 0.2 xpos 530 ypos 5
                    linear 0.2 xpos 530 ypos 0
                    repeat
                    
                show battle_panel_overlay
                
                with dissolve
                
                jump rsp_timer_set

        
label pagtatapos_ng_laban_panalo:
    
    $ renpy.music.stop(channel="music_one", fadeout=2.0)
    
    scene background_white with dissolve
    $ show_bida_health = False 
    $ show_kalaban_health = False 
    $ renpy.pause(2.0)
    $ renpy.music.play("music/music_01.mp3", channel="music_one") # Play music on Audio Channel 1
    scene background_white 
    
    scene placeholder_background 
    show sprite_05
    with dissolve
    "Hmph!... Fine, you win..."
    "But I still believe your win is nothing but a fluke..."
    "I demand a rematch!..."

    call screen rsp_rematch
    $ result = _return
        
    if result == "rematch":
        show sprite_03
        hide sprite_05
        with dissolve
        "Hmph!... I'll beat you this time!"
        $ renpy.music.stop(channel="music_one", fadeout=2.0)
        scene background_white with dissolve
        $ renpy.pause(1.0)
        jump test_battle_scenario

    if result == "no_rematch":
        show sprite_02
        hide sprite_05
        with dissolve
        "Huh!?..."
        show sprite_01
        hide sprite_02
        with dissolve
        "I was actually expecting you to go for a rematch..."
        show sprite_06
        hide sprite_01
        with dissolve
        "T... Then again... you probably already know how good I am at this game..."
        "Anyway, let's do this again sometime..."
        scene background_white with dissolve
        $ renpy.pause(2.0)
        $ renpy.quit()

            
    
    
    
    
label pagtatapos_ng_laban_talo:
  
    $ renpy.music.stop(channel="music_one", fadeout=2.0)
    scene background_white with dissolve
    $ show_bida_health = False 
    $ show_kalaban_health = False 
    $ renpy.pause(2.0)
    $ renpy.music.play("music/music_01.mp3", channel="music_one") # Play music on Audio Channel 1
    scene background_white
    
    scene placeholder_background 
    show sprite_03
    with dissolve
    "Ha! Told you!..."
    "I'm good at this... You didn't stand a chance!"
    show sprite_06
    hide sprite_03
    with dissolve
    "Anyway, I feel sorry for you so I'll give you another chance."
    "Want a rematch?"

    call screen rsp_rematch
    $ result = _return
        
    if result == "rematch":
        show sprite_03
        hide sprite_06
        with dissolve
        "Hmph!... You can try as many times as you want but I'll win in the end...!"
        $ renpy.music.stop(channel="music_one", fadeout=2.0)
        scene background_white with dissolve
        $ renpy.pause(1.0)
        jump test_battle_scenario

    if result == "no_rematch":
        show sprite_02
        hide sprite_06
        with dissolve
        "Huh!?..."
        show sprite_01
        hide sprite_02
        with dissolve
        "I was actually expecting you to go for a rematch..."
        show sprite_06
        hide sprite_01
        with dissolve
        "T... Then again... you probably already know how good I am at this game..."
        "Anyway, let's do this again sometime..."
        scene background_white with dissolve
        $ renpy.pause(2.0)
        $ renpy.quit()

    
    
